Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::EntryCompletionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::EntryCompletion. More...

`#include <xfc/gtk/entrycompletionsignals.hh>`

Inheritance diagram for Xfc::Gtk::EntryCompletionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual bool on_match_selected (const TreeModel &model, const TreeIter &iter)
    Called when a match from the list is selected.
- virtual void on_action_activated (int index)
    Called when an action is activated.
- virtual bool on_insert_prefix (const String &prefix)
    Called when the inline autocompletion is triggered.

## Protected Member Functions

Constructors

- EntryCompletionSignals (EntryCompletion *completion)
    Construct a new EntryCompletionSignals object.
- virtual ~EntryCompletionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::EntryCompletion.

## Constructor & Destructor Documentation

Xfc::Gtk::EntryCompletionSignals::EntryCompletionSignals | ( | EntryCompletion * | completion | ) | `[protected]`

Construct a new EntryCompletionSignals object.

Parameters:

  | completion | A EntryCompletion object inheriting the EntryCompletionSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::EntryCompletionSignals::on_action_activated | ( | int | index | ) | `[virtual]`

Called when an action is activated.

Parameters:

  | index | The index of the activated action.

virtual bool Xfc::Gtk::EntryCompletionSignals::on_insert_prefix | ( | const String & | prefix | ) | `[virtual]`

Called when the inline autocompletion is triggered.

Parameters:

  | prefix | The common prefix of all possible completions.

Returns:
  true if the signal has been handled.

The default behaviour is to make the entry display the whole prefix and select the newly inserted part. Applications may override this signal handler in order to insert only a smaller part of the prefix into the entry - e.g. the entry used in Gtk::FileChooser inserts only the part of the prefix up to the next '/'.

virtual bool Xfc::Gtk::EntryCompletionSignals::on_match_selected | ( | const TreeModel & | model,
|  | const TreeIter & | iter
| ) | `[virtual]`

Called when a match from the list is selected.

Parameters:

  | model | The Gtk::TreeModel containing the matches.
  | iter | A Gtk::TreeIter positioned at the selected match.

Returns:
  true if the signal has been handled.

The default behaviour is to replace the contents of the entry with the contents of the text column in the row pointed to by iter.

The documentation for this class was generated from the following file:

- entrycompletionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3